/*
 * Copyright (C) 2022 Open Source Robotics Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/* config.hh. Generated by CMake for sdformat14. */

#ifndef SDF_CONFIG_HH_
#define SDF_CONFIG_HH_

/* Protocol version */
#define SDF_PROTOCOL_VERSION "1.11"
/* \deprecated SDF_VERSION is deprecated. Please
 * use SDF_PROTOCOL_VERSION or SDF_PKG_VERSION
 *
 * SDF_VERSION is here to keep backwards compatibility. It was used
 * when the package version and protocol version were the same
 */
#define SDF_VERSION "1.11"

/* Package version number */
#define SDF_MAJOR_VERSION 14
#define SDF_MINOR_VERSION 8
#define SDF_PATCH_VERSION 0

#define SDF_MAJOR_VERSION_STR "14"
#define SDF_MINOR_VERSION_STR "8"
#define SDF_PATCH_VERSION_STR "0"

#define SDF_PKG_VERSION "14.8"
#define SDF_VERSION_FULL "14.8.0"
#define SDF_VERSION_NAMESPACE v14

#define SDF_VERSION_HEADER "Simulation Description Format (SDF), version 1.11\nCopyright (C) 2014 Open Source Robotics Foundation.\nReleased under the Apache 2 License.\nhttp://gazebosim.org/sdf\n\n"

/* #undef SDFORMAT_DISABLE_CONSOLE_LOGFILE */

#ifndef SDF_SHARE_PATH
#define SDF_SHARE_PATH _Pragma ("GCC warning \"'SDF_SHARE_PATH' macro is deprecated, use sdf::getSharePath() function instead. \"") "/usr/share/"
#endif

#ifndef SDF_VERSION_PATH
#define SDF_VERSION_PATH _Pragma ("GCC warning \"'SDF_VERSION_PATH' macro is deprecated and should not be used. \"") "/usr/share/sdformat14/14.8"
#endif

#endif  // #ifndef SDF_CONFIG_HH_
