# - Config to retrieve all components of the sdformat14 package
#
# This should only be invoked by sdformat14-config.cmake.
#
# To retrieve this meta-package, use:
# find_package(sdformat14 COMPONENTS all)
#
# This creates the target sdformat14::all which will link to all known
# components of sdformat14, including the core library.
#
# This also creates the variable sdformat14_ALL_LIBRARIES
#
################################################################################

cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

if(sdformat14_ALL_CONFIG_INCLUDED)
  return()
endif()
set(sdformat14_ALL_CONFIG_INCLUDED TRUE)

if(NOT sdformat14-all_FIND_QUIETLY)
  message(STATUS "Looking for all libraries of sdformat14 -- found version 14.8.0")
endif()


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was gz-all-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/x86_64-linux-gnu/cmake/sdformat14-all" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

# Get access to the find_dependency utility
include(CMakeFindDependencyMacro)

# Find the core library
find_dependency(sdformat14 14.8.0 EXACT)

# Find the component libraries


if(NOT TARGET sdformat14::sdformat14-all)
  include("${CMAKE_CURRENT_LIST_DIR}/sdformat14-all-targets.cmake")

  add_library(sdformat14::all INTERFACE IMPORTED)
  set_target_properties(sdformat14::all PROPERTIES
    INTERFACE_LINK_LIBRARIES "sdformat14::sdformat14-all")

endif()

# Create the "requested" target if it does not already exist
if(NOT TARGET sdformat14::requested)
  add_library(sdformat14::requested INTERFACE IMPORTED)
endif()

# Link the "all" target to the "requested" target
get_target_property(gz_requested_components sdformat14::requested INTERFACE_LINK_LIBRARIES)
if(NOT gz_requested_components)
  set_target_properties(sdformat14::requested PROPERTIES
    INTERFACE_LINK_LIBRARIES "sdformat14::sdformat14-all")
else()
  set_target_properties(sdformat14::requested PROPERTIES
    INTERFACE_LINK_LIBRARIES "${gz_requested_components};sdformat14::sdformat14-all")
endif()

set(sdformat14_ALL_LIBRARIES sdformat14::sdformat14-all)
